> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coinpaprika.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get coin by ID

> Returns detailed descriptive information about a single coin, without price or volume data. For price data, check the [/tickers](#operation/getTickers) and [/tickers/{coin_id}](#operation/getTickersById) endpoints.

**Available on the following API plans:**
- Free
- Starter
- Pro
- Business
- Enterprise

**Update interval:** Every 1 minute.




## OpenAPI

````yaml /api-reference/rest-api/openapi.yml get /coins/{coin_id}
openapi: 3.1.0
info:
  version: 1.7.10
  title: Coinpaprika API
  license:
    name: MIT
    url: https://coinpaprika.com/terms-of-use
  x-logo:
    url: https://coinpaprika.com/assets/img/API_logo_coinpage_1.svg
    backgroundColor: '#FAFAFA'
  description: >
    Coinpaprika API delivers precise & frequently updated market data from the
    world of crypto: coin prices, volumes, market caps, ATHs, return rates and
    more.


    # Introduction

    If you want to use the Coinpaprika API, you have two main options: you can
    choose the API Free plan, which has sufficient limits for hobby and
    non-commercial use, or get one of the paid plans, ideal for commercial or
    professional use. To decide which plan is the best for you, check the [Plans
    and Pricing comparison](https://coinpaprika.com/api).


    Depending on the selected plan, you should send requests to the appropriate
    base URL:


    | Plan       | Base URL                            |

    |------------|-------------------------------------|

    | Free       | https://api.coinpaprika.com/v1/     |

    | Starter    | https://api-pro.coinpaprika.com/v1/ |

    | Pro        | https://api-pro.coinpaprika.com/v1/ |

    | Business   | https://api-pro.coinpaprika.com/v1/ |

    | Enterprise | https://api-pro.coinpaprika.com/v1/ |


    # Authentication

    If you use the Free plan, you don't need to set up an API key for each
    request. For other plans it is required. You can generate the API key in the
    Developer Portal after signing in.


    To provide the API key in REST API calls, set the `Authorization` header:

    ```

    Authorization: <api-key>

    ```


    # Standards and conventions

    ## General


    * All endpoints return either a JSON object or array

    * All timestamp related fields are in seconds


    ## Errors

    * API errors are formatted as JSON:

    ```{"error": "<error message>"}```

    * The API uses standard HTTP status codes to indicate a request failure:
      * HTTP 4XX return codes are used for invalid requests - the issue is on the sender's side
      * HTTP 5XX return codes are used for internal errors - the issue is on the server's side

      | HTTP Status | Description |
      |---|---|
      | 400 Bad Request | The server could not process the request due to invalid request parameters or invalid format of the parameters. |
      | 402 Payment Required | The request could not be processed because of the user has an insufficient plan. If you want to be able to process this request, get a [higher plan](https://coinpaprika.com/api). |
      | 403 Forbidden | The request could not be processed due to invalid API key. |
      | 404 Not Found | The server could not process the request due to invalid URL or invalid path parameter. |
      | 429 Too Many Requests | The rate limit has been exceeded. Reduce the frequency of requests to avoid this error. |
      | 500 Internal Server Error | An unexpected server error has occured. |
      

    # Rate limit

    * The monthly number of requests is limited depending on the plan:
      | Plan       | Calls/month                         |
      |------------|-------------------------------------|
      | Free       | 20 000 |
      | Starter    | 200 000 |
      | Pro        | 500 000 |
      | Business   | 3 000 000 |
      | Enterprise | No limits |

    # API Clients

    We provide the API clients in several popular programming languages:

    * [PHP](https://github.com/coinpaprika/coinpaprika-api-php-client)

    * [NodeJS](https://github.com/coinpaprika/coinpaprika-api-nodejs-client)

    * [GO](https://github.com/coinpaprika/coinpaprika-api-go-client)

    * [Swift](https://github.com/coinpaprika/coinpaprika-api-swift-client)

    * [Kotlin](https://github.com/coinpaprika/coinpaprika-api-kotlin-client)

    * [Python](https://github.com/coinpaprika/coinpaprika-api-python-client)

    * [Google Sheets](https://github.com/coinpaprika/coinpaprika-google-sheet)

    * Community Contributed Clients:
      * [Rust](https://github.com/tokenomia-pro/coinpaprika-api-rust-client) built by <a href="https://tokenomia.pro/" target="_blank">tokenomia.pro</a>
      * [C#](https://github.com/MSiccDev/CoinpaprikaAPI)
      * [JS](https://github.com/jaggedsoft/coinpaprika-js)

    **Note**: some of them may not be updated yet. We are working on improving
    them and they will be updated soon. If you'd like to contribute, please
    report issues and send PRs on Github.



    # Terms of use

    * [Download terms of
    use](https://coinpaprika.github.io/files/terms_of_use_v1.pdf)

    # Archival documentations

    * [API v1.2](https://api.coinpaprika.com/docs/1.2)

    * [API v1.3](https://api.coinpaprika.com/docs/1.3)

    * [API v1.4](https://api.coinpaprika.com/docs/1.4)

    * [API v1.5](https://api.coinpaprika.com/docs/1.5)

    * [API v1.6](https://api.coinpaprika.com/docs/1.6)

    # Version history

    ## 1.7.10 - 2025.04.14

    * Added `5m` interval for historical OHLCV endpoint

    ## 1.7.9 - 2024.12.18

    * API mappings endpoint documentation

    ## 1.7.8 - 2024.01.24

    * Plan limits update

    ## 1.7.7 - 2023.06.07

    * Added official Python client link

    ## v1.7.6 - 2023.04.12

    * New intervals for OHLCV endpoint

    ## v1.7.5 - 2022.12.07

    * Removed documentation for /beta/ endpoints

    ## v1.7.4 - 2022.09.19

    * Key info endpoint

    * Coin logo image URL

    ## v1.7.3 - 2022.09.08

    * Plans update

    ## v1.7.2 - 2022.07.22

    * Changelog endpoint documentation

    ## v1.7.1 - 2022.07.14

    * Beta endpoints documentation

    ## v1.7.0 - 2022.05.06

    * API-Pro documentation

    ## v1.6.1 - 2020.12.09

    * Added information about first date with price data for currency ticker
    [/tickers](#operation/getTickers) and
    [/tickers/{coin_id}](#operation/getTickersById)

    * Added redirect for historical tickers by contract address
    [/contracts/{platform_id}/{contract_address}/historical](#operation/getHistoricalTicker)

    ## v1.6.0 - 2020.10.27

    * Added contracts section [/contracts](#operation/getPlatforms),
    [/contracts/{platform_id}](#operation/getContracts),

    [/contracts/{platform_id}/{contract_address}](#operation/getTicker)
servers:
  - url: https://api.coinpaprika.com/v1
security: []
tags:
  - name: Key
    description: API key related operations
  - name: Global
    description: Global market data
  - name: Coins
    description: Coin-related data
  - name: People
    description: People related to cryptocurrencies
  - name: Tags
    description: Cryptocurrency tags
  - name: Tickers
    description: Cryptocurrency tickers
  - name: Exchanges
    description: Cryptocurrency exchanges
  - name: Tools
    description: Various tools
  - name: Contracts
    description: Contract-related data
  - name: Changelog
    description: API changelog
paths:
  /coins/{coin_id}:
    get:
      tags:
        - Coins
      summary: Get coin by ID
      description: >
        Returns detailed descriptive information about a single coin, without
        price or volume data. For price data, check the
        [/tickers](#operation/getTickers) and
        [/tickers/{coin_id}](#operation/getTickersById) endpoints.


        **Available on the following API plans:**

        - Free

        - Starter

        - Pro

        - Business

        - Enterprise


        **Update interval:** Every 1 minute.
      operationId: getCoinById
      parameters:
        - $ref: '#/components/parameters/coin_id'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/coin_extended'
        '404':
          description: not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/idNotFoundError'
        '429':
          description: too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/tooManyRequestsError'
      security: []
      x-codeSamples:
        - lang: cURL
          label: CLI
          source: |
            curl --request GET \
            --url 'https://api.coinpaprika.com/v1/coins/btc-bitcoin'
components:
  parameters:
    coin_id:
      name: coin_id
      in: path
      required: true
      schema:
        type: string
        example: btc-bitcoin
  schemas:
    coin_extended:
      type: object
      properties:
        id:
          type: string
          example: btc-bitcoin
          description: ID of coin on coinpaprika.com
        name:
          type: string
          example: Bitcoin
          description: Name of the cryptocurrency
        symbol:
          type: string
          example: BTC
          description: Symbol of the cryptocurrency
        parent:
          $ref: '#/components/schemas/coin_parent'
          example:
            id: eth-ethereum
            name: Ethereum
            symbol: ETH
          nullable: true
          description: This field is deprecated. Use `contracts` field instead
        rank:
          type: integer
          example: 1
          description: Current coin ranking position on coinpaprika.com
        is_new:
          type: boolean
          example: false
          description: Flag indicating if the currency was added within the last 5 days
        is_active:
          type: boolean
          example: true
          description: >-
            Flag indicating if the currency is active, which means that we can
            calculate the current price and volume
        type:
          type: string
          example: coin
          description: >-
            Type of the cryptocurrency. Currently supported values are `coin`
            and `token`
        logo:
          type: string
          example: https://static.coinpaprika.com/coin/bnb-binance-coin/logo.png
          description: Logo image URL
        tags:
          type: array
          items:
            $ref: '#/components/schemas/tag_simplified'
          description: The array of tags to which this coin was assigned on coinpaprika.com
        team:
          type: array
          items:
            $ref: '#/components/schemas/person_with_position'
          description: The cryptocurrency founding and/or developing team
        description:
          type: string
          example: >-
            Bitcoin is a cryptocurrency and worldwide payment system. It is the
            first decentralized digital currency, as the system works without a
            central bank or single administrator.
          nullable: true
          description: Text description of the cryptocurrency
        message:
          type: string
          description: An important message about current status of the cryptocurrency
        open_source:
          type: boolean
          example: true
          description: Set to true if the cryptocurrency is Open Source project
        hardware_wallet:
          type: boolean
          example: true
          description: >-
            Set to true if the cryptocurrency is supported by any hardware
            wallet
        started_at:
          type: string
          example: '2009-01-03T00:00:00Z'
          nullable: true
          description: Launch date of the cryptocurrency
        development_status:
          type: string
          example: Working product
          nullable: true
          description: >-
            Development status of the cryptocurrency - if it is a working
            project, beta version, just an idea, etc.
        proof_type:
          type: string
          example: Proof of work
          nullable: true
          description: 'Cryptocurrency proof type: Proof of Work, Proof of Stake, etc.'
        org_structure:
          type: string
          example: Decentralized
          nullable: true
          description: >-
            The cryptocurrency organization structure: centralized,
            decentralized, hierarchical, flat, etc.
        hash_algorithm:
          type: string
          example: SHA256
          nullable: true
          description: Name of the hash algorithm used by the cryptocurrency
        contract:
          type: string
          nullable: true
          description: This field is deprecated. Use `contracts` field instead
        platform:
          type: string
          nullable: true
          description: This field is deprecated. Use `contracts` field instead
        contracts:
          type: array
          items:
            $ref: '#/components/schemas/contract'
        links:
          $ref: '#/components/schemas/coin_links'
        links_extended:
          type: array
          items:
            $ref: '#/components/schemas/link_extended'
          example:
            - url: http://blockchain.com/explorer
              type: explorer
            - url: https://www.reddit.com/r/bitcoin
              type: reddit
              stats:
                subscribers: 1009135
            - url: https://github.com/bitcoin/bitcoin
              type: source_code
              stats:
                contributors: 730
                stars: 36613
            - url: https://bitcoin.org/
              type: website
          description: >-
            Contains all links of the `{coin_id}` coin together with statistics
            for some of them, e.g. number of twitter followers, reddit
            subscribers, telegram members or github repository stars and
            contributors
        whitepaper:
          $ref: '#/components/schemas/whitepaper'
        first_data_at:
          type: string
          description: >-
            Date of the first available ticker data for the coin. RFC3999
            (ISO-8601) format
          example: '2018-10-03T11:48:19Z'
        last_data_at:
          type: string
          description: >-
            Date of the last available ticker data for the coin. RFC3999
            (ISO-8601) format
          example: '2019-05-03T11:00:00'
    idNotFoundError:
      type: object
      properties:
        error:
          type: string
          example: id not found
          description: ID not found error message
    tooManyRequestsError:
      type: object
      properties:
        error:
          type: string
          example: you have reached maximum request limit
          description: Error description
    coin_parent:
      type: object
      properties:
        id:
          type: string
          example: eth-ethereum
        name:
          type: string
          example: Ethereum
        symbol:
          type: string
          example: ETH
    tag_simplified:
      type: object
      properties:
        id:
          type: string
          example: blockchain-service
          description: ID of the tag
        name:
          type: string
          example: Blockchain Service
          description: Name of the tag
        coin_counter:
          type: integer
          example: 160
          description: Number of coins with this tag
        ico_counter:
          type: integer
          example: 80
          description: Number of ico projects with this tag
    person_with_position:
      type: object
      properties:
        id:
          type: string
          example: vitalik-buterin
        name:
          type: string
          example: Vitalik Buterin
        position:
          type: string
          example: Author
    contract:
      type: object
      properties:
        contract:
          type: string
          description: The contract identifier, which is usually its address
        platform:
          type: string
          description: >-
            ID of the contract platform. For Ethereum contracts it is
            `eth-ethereum`, for Tron `trx-tron`, etc.
        type:
          type: string
          description: >-
            Type of the contract. Currently supported values are: `ERC20`,
            `BEP2`, `TRC10`, `TRC20`, `Stellar Asset`, `Other`
      required:
        - contract
        - platform
        - type
    coin_links:
      type: object
      properties:
        explorer:
          type: array
          items:
            type: string
          example:
            - http://blockchain.com/explorer
            - https://blockchair.com/bitcoin/blocks
            - https://blockexplorer.com/
            - https://live.blockcypher.com/btc/
          nullable: true
          description: List of links to blockchain explorers, if any
        facebook:
          type: array
          items:
            type: string
          example:
            - https://www.facebook.com/bitcoins/
          nullable: true
          description: List of links to Facebook pages of the cryptocurrency, if any
        reddit:
          type: array
          items:
            type: string
          example:
            - https://www.reddit.com/r/bitcoin
          nullable: true
          description: List of links to Reddit communities and profiles, if any
        source_code:
          type: array
          items:
            type: string
          example:
            - https://github.com/bitcoin/bitcoin
          nullable: true
          description: List of links to source code repositories, if any
        website:
          type: array
          items:
            type: string
          example:
            - https://bitcoin.org/
          nullable: true
          description: List of the cryptocurrency websites, if any
        youtube:
          type: array
          items:
            type: string
          example:
            - https://www.youtube.com/watch?v=Um63OQz3bjo
          nullable: true
          description: List of links to Youtube channels of the cryptocurrency, if any
        medium:
          type: array
          items:
            type: string
          example: null
          nullable: true
          description: List of links to Medium profiles of the cryptocurrency, if any
    link_extended:
      type: object
      properties:
        url:
          type: string
          description: The link URL
        type:
          type: string
          description: 'Type of the link: `website`, `reddit`, `source_code`, etc.'
        stats:
          type: object
          additionalProperties:
            type: number
          description: >-
            An object containing the link stats like `subscribers` (for reddit),
            `followers` (for twitter), `members` (for telegram), `stars`,
            `contributors` (for source code)
      required:
        - url
        - type
    whitepaper:
      type: object
      properties:
        link:
          type: string
          example: https://static.coinpaprika.com/storage/cdn/whitepapers/215.pdf
          description: The whitepaper URL
        thumbnail:
          type: string
          example: https://static.coinpaprika.com/storage/cdn/whitepapers/217.jpg
          description: Link to the whitepaper thumbnail

````